Subject: Re: GMPLS Message Structures

From: Maarten Vissers <[email-masked]>
Date: Mon, 21 May 2001 10:43:02 +0200

Manoj, Yuri,

In my current understanding, a waveband is a group of OCh (optical
channel) signals located in a contiguous set of tributary (i.e.
frequency) slots.

A waveband is therefore related to partitioning, rather than a layering.
A waveband shouldn't have an LSP encoding type itself, but instead be
part of the OCh layer network. E.g. a specific RGT (requested groupting
type) of "contiguous waveband" can be defined for this purpose with the
RNC (requested number of components) indicating the size of the
waveband.

The above is simply a first shot; in general the issue can be more
complex due to the fact that the frequency slot for a 2G5, a 10G and a
40G signal may have differnet bandwidths: e.g. 2G5 freq. slot width e.g.
25 GHz, 10G freq. slot width e.g. 50 GHz and 40G freq. slot width e.g.
100 GHz. For the case of (future?) mixed rate WDM signals with bit rate
optimized freq. slot widths, a waveband might need a start-of-waveband
and end-of-waveband (SOW-EOW) indication, instead of RNC.

Regards,

Maarten

Yuri Landry wrote:
> 
> Mano,
> 
> >            Can someone tell me the message structure of Label Request and
> >Label Mapping in GMPLS ?
> >I am confused about the presence of LightPath Id in O-UNI messages and LSP
> >Id in GMPLS messages ? Is there one-to-one mapping between these Ids or Is
> >it like that both lightPath Id and LSP Id will be carried in GMPLS messages
> >? LSP Id is not present in O-UNI messages. Can one LightPath Id be mapped
> >to
> >multiple LSP Ids or vice versa ?
> 
> I think you mean Connection ID and LSP ID. A connection ID is an ID for
> network connection, which may consist many LSPs. For example, the virtual
> concatenation case.
> 
> A LSP may tunnel through multiple pre-established connections.
> 
> >Also, for waveband switching, the genralized label has the format
> >(wavebandId - start label - end label).
> >When the label request message is received on incoming interface, how to
> >identify that the waveband label is requested ?
> >Is it the LSP encoding type or some other parameter in label request
> >message
> >? If it is the Lambda encoding type then how to identify that whether a
> >lambda or waveband label is requested ?
> >
> >Also, it is mentioned that wavebandId (32 bits) is selected by the sender
> >and reused in all the subsequent messages. What all subsequent
> >messages is it mentioning to ?
> >
> >Can wavebandId be present in Label Withdraw/Release messages ?
> >
> >I am not able to workout the message structures for GMPLS.
> >
> 
> To me waveband label defined in GMPLS drafts is a joke. The reason to have
> the waveband label is that someone claimed that the waveband's order might
> flip when going through a switch. My suggestion is don't take it seriously.
> 
> >I am not sure how these drafts are at last call. Atleast it should mention
> >the message structures of various messages.
> >
> 
> Agree.
> 
> Regards,
> 
> Yuri
> _________________________________________________________________
> Get your FREE download of MSN Explorer at http://explorer.msn.com

---

From: Maarten Vissers <[email-masked]>
Date: Tue, 22 May 2001 08:58:07 +0200

Manoj, Yuri,

I received a message that my definition of waveband is too restricted. 

A waveband should be an optical multiplex, administered as a single
bundle, not necessary contiguous in frequency slot.

	E.g. there may be good technical reasons to consider a
	'waveband' created at an OADM formed by taking every 2nd
	wavelength in a 50GHz-spaced transmission band.

In first instance the above definition may not be considered this as a
"band"; it
looks more like a "gapped-band" :-). Nevertheless, due to technical
reasons we should consider a waveband as just another name for a
particular group of wavelengths, which may best be viewed as a group of
identified/listed wavelengths. 

Regards,

Maarten